Package org.eclipse.emf.cdo.server.db

# Interface IPreparedStatementCache

@Deprecated public interface IPreparedStatementCache
Deprecated.
As of 4.2 use `IDBConnection`.
Caches JDBC `statements` according to given `reuse probabilities`.

Since:
  2.0
Author:
  Stefan Winkler
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IPreparedStatementCache.ReuseProbability`
Deprecated.
An enum for the degree of probability to which a prepared statement is reused later on.

## Method Summary

Modifier and Type
Method
Description
`PreparedStatement`
`getPreparedStatement(String sql, IPreparedStatementCache.ReuseProbability reuseProbability)`
Deprecated.
`void`
`releasePreparedStatement(PreparedStatement ps)`
Deprecated.
`void`
`setConnection(Connection connection)`
Deprecated.

## Method Details

### setConnection

void setConnection(Connection connection)
Deprecated.

### getPreparedStatement

PreparedStatement getPreparedStatement(String sql, IPreparedStatementCache.ReuseProbability reuseProbability)
Deprecated.

### releasePreparedStatement

void releasePreparedStatement(PreparedStatement ps)
Deprecated.